# FusePokemonModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class FusePokemonModifier

#### Hierarchy (View Summary)

- ConsumablePokemonModifier
  - FusePokemonModifier

- Defined in src/modifier/modifier.ts:2408

##### Index

### Constructors

constructor

### Properties

fusePokemonId
pokemonId
type

### Methods

add
apply
getPokemon
match
shouldApply

## Constructors

### constructor

- new FusePokemonModifier(
  type: ModifierType ,
  pokemonId: number,
  fusePokemonId: number,
  ): FusePokemonModifier

  #### Parameters

  - type: ModifierType
  - pokemonId: number
  - fusePokemonId: number

  #### Returns FusePokemonModifier

  Overrides ConsumablePokemonModifier.constructor

  - Defined in src/modifier/modifier.ts:2411

## Properties

### fusePokemonId

fusePokemonId: number

- Defined in src/modifier/modifier.ts:2409

### pokemonId

pokemonId: number

Inherited from ConsumablePokemonModifier.pokemonId

- Defined in src/modifier/modifier.ts:2050

### type

type: ModifierType

Inherited from ConsumablePokemonModifier.type

- Defined in src/modifier/modifier.ts:159

## Methods

### add

- add(_modifiers: Modifier []): boolean

  #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.add

  - Defined in src/modifier/modifier.ts:277

### apply

- apply(playerPokemon: PlayerPokemon , playerPokemon2: PlayerPokemon ): boolean

  Applies FusePokemonModifier

  #### Parameters

  - playerPokemon: PlayerPokemon

    `PlayerPokemon` that should be fused

  - playerPokemon2: PlayerPokemon

    `PlayerPokemon` that should be fused with `playerPokemon`

  #### Returns boolean

  always Promise<true>

  Overrides ConsumablePokemonModifier.apply

  - Defined in src/modifier/modifier.ts:2435

### getPokemon

- getPokemon(): undefined | PlayerPokemon

  #### Returns undefined | PlayerPokemon

  Inherited from ConsumablePokemonModifier.getPokemon

  - Defined in src/modifier/modifier.ts:2075

### match

- match(_modifier: Modifier ): boolean

  #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.match

  - Defined in src/modifier/modifier.ts:165

### shouldApply

- shouldApply(
  playerPokemon?: PlayerPokemon ,
  playerPokemon2?: PlayerPokemon ,
  ): boolean

  Checks if FusePokemonModifier should be applied

  #### Parameters

  - `Optional` playerPokemon: PlayerPokemon

    `PlayerPokemon` that should be fused

  - `Optional` playerPokemon2: PlayerPokemon

    `PlayerPokemon` that should be fused with `playerPokemon`

  #### Returns boolean

  `true` if FusePokemonModifier should be applied

  Overrides ConsumablePokemonModifier.shouldApply

  - Defined in src/modifier/modifier.ts:2423